Box2D: b2PrismaticJoint Class Reference

| Box2D 2.4.1 A 2D physics engine for games

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
b2PrismaticJoint Class Reference

`#include <b2_prismatic_joint.h>`

Inheritance diagram for b2PrismaticJoint:

## Public Member Functions
b2Vec2 | GetAnchorA () const override
| Get the anchor point on bodyA in world coordinates.
b2Vec2 | GetAnchorB () const override
| Get the anchor point on bodyB in world coordinates.
b2Vec2 | GetReactionForce (float inv_dt) const override
| Get the reaction force on bodyB at the joint anchor in Newtons.
float | GetReactionTorque (float inv_dt) const override
| Get the reaction torque on bodyB in N*m.
const b2Vec2 & | GetLocalAnchorA () const
| The local anchor point relative to bodyA's origin.
const b2Vec2 & | GetLocalAnchorB () const
| The local anchor point relative to bodyB's origin.
const b2Vec2 & | GetLocalAxisA () const
| The local joint axis relative to bodyA.
float | GetReferenceAngle () const
| Get the reference angle.
float | GetJointTranslation () const
| Get the current joint translation, usually in meters.
float | GetJointSpeed () const
| Get the current joint translation speed, usually in meters per second.
bool | IsLimitEnabled () const
| Is the joint limit enabled?
void | EnableLimit (bool flag)
| Enable/disable the joint limit.
float | GetLowerLimit () const
| Get the lower joint limit, usually in meters.
float | GetUpperLimit () const
| Get the upper joint limit, usually in meters.
void | SetLimits (float lower, float upper)
| Set the joint limits, usually in meters.
bool | IsMotorEnabled () const
| Is the joint motor enabled?
void | EnableMotor (bool flag)
| Enable/disable the joint motor.
void | SetMotorSpeed (float speed)
| Set the motor speed, usually in meters per second.
float | GetMotorSpeed () const
| Get the motor speed, usually in meters per second.
void | SetMaxMotorForce (float force)
| Set the maximum motor force, usually in N.
float | GetMaxMotorForce () const
float | GetMotorForce (float inv_dt) const
| Get the current motor force given the inverse time step, usually in N.
void | Dump () override
| Dump to b2Log.
void | Draw (b2Draw *draw) const override
| Debug draw this joint.
Public Member Functions inherited from b2Joint
b2JointType | GetType () const
| Get the type of the concrete joint.
b2Body * | GetBodyA ()
| Get the first body attached to this joint.
b2Body * | GetBodyB ()
| Get the second body attached to this joint.
b2Joint * | GetNext ()
| Get the next joint the world joint list.
const b2Joint * | GetNext () const
b2JointUserData & | GetUserData ()
| Get the user data pointer.
bool | IsEnabled () const
| Short-cut function to determine if either body is enabled.
bool | GetCollideConnected () const
virtual void | ShiftOrigin (const b2Vec2 &newOrigin)
| Shift the origin for any points stored in world coordinates.

## Protected Member Functions
| b2PrismaticJoint (const b2PrismaticJointDef *def)
void | InitVelocityConstraints (const b2SolverData &data) override
void | SolveVelocityConstraints (const b2SolverData &data) override
bool | SolvePositionConstraints (const b2SolverData &data) override
Protected Member Functions inherited from b2Joint
| b2Joint (const b2JointDef *def)

## Protected Attributes
b2Vec2 | m_localAnchorA
b2Vec2 | m_localAnchorB
b2Vec2 | m_localXAxisA
b2Vec2 | m_localYAxisA
float | m_referenceAngle
b2Vec2 | m_impulse
float | m_motorImpulse
float | m_lowerImpulse
float | m_upperImpulse
float | m_lowerTranslation
float | m_upperTranslation
float | m_maxMotorForce
float | m_motorSpeed
bool | m_enableLimit
bool | m_enableMotor
int32 | m_indexA
int32 | m_indexB
b2Vec2 | m_localCenterA
b2Vec2 | m_localCenterB
float | m_invMassA
float | m_invMassB
float | m_invIA
float | m_invIB
b2Vec2 | m_axis
b2Vec2 | m_perp
float | m_s1
float | m_s2
float | m_a1
float | m_a2
b2Mat22 | m_K
float | m_translation
float | m_axialMass
Protected Attributes inherited from b2Joint
b2JointType | m_type
b2Joint * | m_prev
b2Joint * | m_next
b2JointEdge | m_edgeA
b2JointEdge | m_edgeB
b2Body * | m_bodyA
b2Body * | m_bodyB
int32 | m_index
bool | m_islandFlag
bool | m_collideConnected
b2JointUserData | m_userData

## Friends
class | b2Joint
class | b2GearJoint

## Additional Inherited Members
Static Protected Member Functions inherited from b2Joint
static b2Joint * | Create (const b2JointDef *def, b2BlockAllocator *allocator)
static void | Destroy (b2Joint *joint, b2BlockAllocator *allocator)

## Detailed Description

A prismatic joint. This joint provides one degree of freedom: translation along an axis fixed in bodyA. Relative rotation is prevented. You can use a joint limit to restrict the range of motion and a joint motor to drive the motion or to model joint friction.

## Member Function Documentation

## ◆ Draw()

void b2PrismaticJoint::Draw | ( | b2Draw * | draw | ) | const
| overridevirtual

Debug draw this joint.

Reimplemented from b2Joint.

## ◆ Dump()

void b2PrismaticJoint::Dump | ( |  | ) |
| overridevirtual

Dump to b2Log.

Reimplemented from b2Joint.

## ◆ GetAnchorA()

b2Vec2 b2PrismaticJoint::GetAnchorA | ( |  | ) | const
| overridevirtual

Get the anchor point on bodyA in world coordinates.

Implements b2Joint.

## ◆ GetAnchorB()

b2Vec2 b2PrismaticJoint::GetAnchorB | ( |  | ) | const
| overridevirtual

Get the anchor point on bodyB in world coordinates.

Implements b2Joint.

## ◆ GetReactionForce()

b2Vec2 b2PrismaticJoint::GetReactionForce | ( | float | inv_dt | ) | const
| overridevirtual

Get the reaction force on bodyB at the joint anchor in Newtons.

Implements b2Joint.

## ◆ GetReactionTorque()

float b2PrismaticJoint::GetReactionTorque | ( | float | inv_dt | ) | const
| overridevirtual

Get the reaction torque on bodyB in N*m.

Implements b2Joint.

## ◆ InitVelocityConstraints()

void b2PrismaticJoint::InitVelocityConstraints | ( | const b2SolverData & | data | ) |
| overrideprotectedvirtual

Implements b2Joint.

## ◆ SolvePositionConstraints()

bool b2PrismaticJoint::SolvePositionConstraints | ( | const b2SolverData & | data | ) |
| overrideprotectedvirtual

Implements b2Joint.

## ◆ SolveVelocityConstraints()

void b2PrismaticJoint::SolveVelocityConstraints | ( | const b2SolverData & | data | ) |
| overrideprotectedvirtual

Implements b2Joint.

The documentation for this class was generated from the following file:

- /build/box2d/src/box2d-2.4.1/include/box2d/b2_prismatic_joint.h